Cómo solucionar el error Archivo incompatible en WordPress 6.4.3 (1)

Cómo Solucionar el error «Archivo incompatible» en WordPress 6.4.3

Si actualizaste a WordPress 6.4.3 y al subir un plugin o theme te encontraste con el error ‘Error de archivo incompatible’ te ayudamos a resolverlo.

Este problema ha dejado intrigados a numerosos usuarios, particularmente aquellos que trabajan con MacOS para comprimir los archivos zip de sus plugins o themes antes de cargarlos. El problema radica en el método de compresión utilizado por MacOS para los archivos zip y cómo WordPress 6.4.3 los maneja durante el proceso de carga.

Las recientes mejoras de seguridad, cuyo objetivo era mejorar el proceso de carga, introdujeron involuntariamente inconvenientes para los archivos zip comprimidos en MacOS, lo que provocó el frustrante mensaje de error «Archivo incompatible».

Bueno, ok, pero… y cómo lo soluciono?

Simple, te dejamos el paso a paso:

  1. Ir al archivo functions.php de tu theme activo.
  2. Agregar la siguiente línea de código:  add_filter( ‘unzip_file_use_ziparchive’, ‘__return_false’ );
  3. Guardar y Listo!

Por otra parte, si trabajas con algún theme sustentado en bloques, te sugerimos hacer esta operación con un plugin Code Snippets.

 

Solucionado. Puedes ahora seguir tu vida en paz 🙂

Más Contenido Relacionado

es_ESES
0
    0
    Tu Compra
    Tu bolsa de compra está vacíaVolver al Home